#admin-window{
    display:none;
}

/*--Admin Panel Head---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
.admin-window-head{
    border-bottom:var(--border-thin) solid rgb(60, 0, 5);
    background-color:rgb(120, 35, 55);
    height:4rem;
    width:100%;
    padding-top: 1px;
}
#admin-exit{
    font-size:calc(var(--button-font-size) * 0.75);
    height:calc(var(--button-height) * 0.75);
    position:absolute;
    aspect-ratio:auto;
    right:0.5rem;
    top:0.5rem;
    max-width:12vw;
    width:fit-content;
}
.admin-tab-holder{
    transform:translate(-50%);
    height:3rem;
    width:88vw;
    margin-left:50%;
    margin-top:calc(1rem + min(0.35vh, 0.5vw));

    justify-content:space-between;
    align-items:center;
    display:flex;
}
.admin-tab{
    border-right:var(--border-thin) solid rgb(60, 0, 5);
    border-left:var(--border-thin) solid rgb(60, 0, 5);
    border-top:var(--border-thin) solid rgb(60, 0, 5);
    height:calc(clamp(3.5rem, 5vw, 4.5rem) * 0.75);
    font-size:var(--button-font-size);
    border-top-right-radius:min(1vh, 1vw);
    border-top-left-radius:min(1vh, 1vw);
    background-color:rgb(135, 50, 70);
    margin-right:0.25rem;
    margin-left:0.25rem;
    cursor:pointer;
    width:100%;

    justify-content:center;
    align-items:center;
    overflow:hidden;
    display:flex;
}
.admin-tab-selected{
    background-color:rgb(155, 70, 90);
    padding-bottom:calc(min(0.35vh, 0.5vw) + 2px);
    cursor:default;
}

/*--Admin Panel Body---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
.admin-window-body{
    height:calc(100% - 4rem - min(0.35vh, 0.5vw));
    background-color:rgb(155, 70, 90);
    position:absolute;
    width:100%;
}
.admin-window-body-screen{
    background-color:rgb(155, 70, 90);
    position:absolute;
    display:none;
    height:100%;
    width:100%;
    left:0px;
    top:0px;
}
.admin-list-holder{
    transform:translate(-50%);
    height:calc(100% - 3vh);
    padding-bottom:3rem;
    margin-top:1rem;
    margin-left:50%;
    
    overflow-x:hidden;
    overflow-y:auto;
}

#history-list-holder{
    width:90vw;
}
#schools-list-holder{
    width:40vw;
}
#user-list-holder{
    width:60vw;
}

/*--Admin List Item----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
.admin-list-item{
    border:var(--border-thin) solid rgb(60, 0, 5);
    background-color:rgb(135, 50, 70);
    width:calc(100% - min(4vh, 4vw));
    border-radius:min(1vh, 1vw);
    margin-left:var(--border-radius);
    margin-top:var(--border-radius);
}
.admin-list-data{
    justify-content:flex-start;
    align-items:center;
    display:flex;

    height:5vh;
    width:100%;
}
.admin-list-data-tall{
    height:15vh;
}
.admin-list-data-title{
    justify-content:flex-start;
    align-items:center;
    display:flex;

    height:calc(100% - 1vh);
    padding-left:1vh;
    padding-top:1vh;
    font-size:2vh;
    width:19vh;

    white-space:nowrap;
}
.admin-list-data-value{
    justify-content:flex-start;
    align-items:flex-start;
    display:flex;

    height:calc(100% - 1vh);
    width:calc(100% - 18vh);
    padding-left:1vh;
    padding-top:1vh;
    font-size:2vh;
}
.admin-list-data-value-labels{
    justify-content:flex-start;
    align-items:center;
    display:flex;
   
    margin-left:19.5vh;
    width:35vh;
    height:4vh;
}
.admin-list-data-value-label{
    justify-content:flex-start;
    align-items:flex-end;
    display:flex;

    font-size:2vh;
    height:100%;
    width:25%;
}
input[type=text].admin-list-input, input[type=date].admin-list-input{
    border:var(--border-thin) solid rgb(60,0,5);
    width:calc(100% - 2.5vh);
    border-radius:1vh;
    padding-left:1vh;
    text-align:left;
    font-size:2vh;
    height:3vh;
}
select.admin-list-select{
    border:var(--border-thin) solid rgb(60, 0, 5);
    border-radius:1vh;
    padding-left:1vh;
    margin-left:0px;
    text-align:left;
    font-size:2vh;
    height:3.5vh;
    width:calc(100% - 1vh);
}
.admin-list-buttons{
    justify-content:center;
    align-items:center;
    display:flex;

    padding-bottom:1vh;
    margin-top:3vh;
    height:5vh;
    width:100%;
}
.admin-list-button{
    font-size:2vh;
    margin-right:1vh;
    margin-left:1vh;
    height:4vh;
    width:10vh;
}
.admin-add-button{
    background-color:rgb(100,10,25);
    transform:translate(-50%,0px);
    color:rgb(230,220,200);
    margin-left:50%;
    margin-top:3vh;
    font-size:5vh;
    height:5vh;
    width:5vh;

    justify-content:center;
    font-family:"Arial";
    align-items:center;
    font-weight:bold;
    cursor:pointer;
    outline:none;
    display:flex;

    border-radius:100%;
    border-top:var(--border-thin) solid rgb(110,20,35);
    border-left:var(--border-thin) solid rgb(110,20,35);
    border-right:var(--border-thin) solid rgb(90,0,15);
    border-bottom:var(--border-thin) solid rgb(90,0,15);
}
.admin-add-button:hover{
    transform:translate(-50%,-1px);
}
.admin-add-button:active{
    transform:translate(-50%,1px);
}

/*--Admin Filter-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
.admin-filter-holder{
    border:var(--border-thin) solid rgb(60, 0, 5);
    background-color:rgb(135, 50, 70);
    border-radius:min(1vh, 1vw);
    left:min(1vh, 1vw);
    top:min(1vh, 1vw);
    position:absolute;

    width:calc(20vw - var(--border-radius));
    padding-bottom:min(1vh, 1vw);
    max-width:min(35vh, 35vw);
}
.admin-filter-title{
    height:calc(clamp(0.875rem, 1.575vw, 1.4rem) + var(--border-radius));
    font-size:calc(var(--button-font-size) * 0.75);
    width:100%;

    justify-content:center;
    align-items:center;
    display:flex;
}
.admin-filter-select-holder{
    height:calc(100% - calc(clamp(0.875rem, 1.575vw, 1.4rem) + var(--border-radius)));
    width:100%;

    justify-content:center;
    align-items:center;
    position:relative;
    display:flex;
}
select.admin-filter{
    border:var(--border-thin) solid rgb(60, 0, 5);
    font-size:clamp(0.875rem, 1.575vw, 1.4rem);
    max-width:calc(100% - min(1vh, 1vw));
    border-radius:min(1vh, 1vw);
    width:90%;
}

.admin-last-name-filter-holder{
    border:var(--border-thin) solid rgb(60, 0, 5);
    background-color:rgb(135, 50, 70);
    border-radius:min(1vh, 1vw);
    left:min(1vh, 1vw);
    top:min(13vh, 13vw);
    position:absolute;
    display:none;

    width:calc(20vw - var(--border-radius));
    padding-bottom:min(1vh, 1vw);
    max-width:min(35vh, 35vw);
}
.admin-last-name-filter-title{
    height:calc(clamp(0.875rem, 1.575vw, 1.4rem) + var(--border-radius));
    font-size:calc(var(--button-font-size) * 0.7);
    width:100%;

    justify-content:center;
    align-items:center;
    display:flex;
}
.admin-last-name-filter{
    color:rgb(230, 220, 200);
    background-color:rgb(105, 20, 40);
    border:var(--border-thin) solid rgb(60, 0, 5);
    font-size:clamp(0.875rem, 1.575vw, 1.4rem);
    max-width:calc(100% - min(1vh, 1vw));
    border-radius:min(1vh, 1vw);
    transform:translate(-50%);
    margin-left:50%;
    width:90%;
}

.admin-CSV-holder{
    position:absolute;
    width:calc(20vw - var(--border-radius) + min(0.35vh, 0.5vw) * 2);
    top:min(25vh, 25vw);
    max-width:min(35vh, 35vw);
    left:min(1vh, 1vw);

    justify-content:center;
    flex-direction:column;
    align-items:center;
    display:none;
}
.admin-CSV-holder > *{
    font-size:calc(var(--button-font-size) * 0.75);
    height:calc(var(--button-height) * 0.75);
    margin-bottom:0.5rem;
    max-width:min(35vh, 35vw);
}

/*--Report Window------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
#report-window{
    padding:0.5rem;
}
#report-confirm-window{
    padding:0.5rem;
    display:none;
}
#report-holder{
    justify-content:flex-start;
    align-items:center;
    flex-direction:column;
    display:flex;

    margin-bottom:2rem;
    margin-top:2rem;
    width:20rem;
}
#report-holder > *{
    margin-bottom:0.5rem;
    font-size:1.25rem;
    height:2.5rem;
    width:16rem;
}

/*--Create Tournament--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
#create-tournmanet-window{
    max-width:calc(100% - 2rem);
    padding-right:1rem;
    padding-left:1rem;
    width:20rem;
}
#create-tournmanet-window .window-foot > *{
    width:8rem;
}
#add-tournmanet-players-window{
    max-width:calc(100% - 2rem);
    padding-right:1rem;
    padding-left:1rem;
    width:20rem;
}
#add-tournmanet-players-window .window-foot > *{
    width:8rem;
}
.tournament-text{
    justify-content:flex-start;
    align-items:center;
    display:flex;
    width:100%;
    font-size:1rem;
}
.tournamnet-input{
    width:calc(100% - 0.65rem) !important;
    border-width:0.2rem !important;
    margin-bottom:1rem;
}
.add-player-count{
    margin-right:0.25rem;
    margin-left:0.25rem;
}
.add-player-max{
    margin-left:0.25rem;
}
.added-tournament-players-list{
    border-top:1px solid rgb(100, 10, 25);
    margin-bottom:2rem;
    margin-top:1rem;
    width:100%;

    max-height:20rem;
    overflow-x:hidden;
    overflow-y:auto;
}
.added-tournament-player{
    justify-content:space-between;
    align-items:center;
    display:flex;

    border-bottom:1px solid rgb(100, 10, 25);
    height:2rem;
    width:100%;
}
.remove-tournament-player{
    font-size:0.9rem;
    height:1.5rem;
    width:6rem;
}
.add-tournmanet-players-input{
    justify-content:space-between;
    align-items:center;
    display:flex;

    margin-bottom:2rem;
    height:2rem;
    width:100%;
}
.add-tournmanet-players-school{
    border-width:0.15rem;
    font-size:1rem;
    width:100%;
}
.add-tournmanet-players-ids{
    border-width:0.15rem;
    font-size:1rem;
    width:100%;
    margin-right:0.25rem;
    margin-left:0.25rem;
}
.tournament-bracket {
    display: flex;
    align-items: flex-start;
    width:calc(100% - 2rem);
    margin-left:1rem;
    margin-top:1rem;
}
.round-column {
    display: flex;
    flex-direction: column;
    margin-right: 0.5rem;
}
.round-title {
    font-weight: bold;
    text-align: center;
    font-size: 1rem;
    margin-bottom:0.5rem;
}
.match-box {
    border: 1px solid #ccc;
    padding: 0.2rem;
    width: 4rem;
    text-align: center;
    border-radius:0.25rem;
    margin-bottom: 0.5rem;
    transition:ease-in-out 0.05s;
    cursor: pointer;
}
.match-box:hover{
    transform:scale(1.05);
}
.match-box:active{
    transform:scale(1);
}
.player {
    padding: 0.1rem;
    font-size: 0.8rem;
}
.vs {
    font-size: 0.5rem;
    opacity: 0.6;
}
.winner {
    font-weight: bold;
    color: green;
}

/*--Admin Mobile-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media only screen and (max-width:768px) and (orientation:portrait){
    #history-list-holder{
        width:95vw;
    }
    #schools-list-holder{
        width:95vw;
    }
    #user-list-holder{
        margin-top:calc(var(--button-height) * 3);
        width:95vw;
        height:calc(95% - var(--button-height) * 2);
    }
    .admin-tab{
        font-size:calc(var(--button-font-size) * 0.7);
    }
    .admin-list-holder{
        margin-top:0px;
    }
    .admin-list-data-title{
        font-size:3.5vw;
        width:25%;
    }
    .admin-list-data-value{
        width:75%;
    }
    .admin-list-data-value-labels{
        margin-left:25%;
    }
    .admin-filter-holder{
        width:70vw;
        top:1.5%;
        left:4%;
    }
    .admin-last-name-filter-holder{
        width:70vw;
        top:calc(1.5% + 4.5rem);
        left:4%;
    }
    .admin-CSV-holder{
        justify-content:flex-end;
        align-items:flex-end;
        left:auto;

        right:1rem;
        top:1rem;
        width:calc(50% - 1rem);
        max-width:calc(50% - 1rem);
    }
    .admin-CSV-holder > *{
        height:2rem;
        aspect-ratio:4;
    }
}
@media only screen and (max-width:1000px) and (orientation:portrait){
    .admin-window-head{
        height:6rem;
    }
    .admin-tab-holder{
        margin-top:calc(3rem + min(0.35vh, 0.5vw));
        width:100%;
    }
}
@media only screen and (max-width:768px) and (orientation:landscape){
    .admin-last-name-filter-holder{
        top:min(15vh, 15vw);
    }
    .admin-CSV-holder{
        top:min(27vh, 27vw);
    }
}